package com.yaohun.consumereward.manage;

import com.yaohun.consumereward.data.PlayerData;

import java.util.HashMap;

public class PlayerManager {

    private HashMap<String, PlayerData> playerDataMap = new HashMap<>();

    public PlayerData getPlayerData(String playerName) {
        if(!playerDataMap.containsKey(playerName)){
            PlayerData playerData = new PlayerData(playerName);
            playerDataMap.put(playerName, playerData);
            return playerData;
        }
        return playerDataMap.get(playerName);
    }
}
